Name: imapsync
Summary: Tool to migrate email between IMAP servers
Version: 1.252
Release: 2%{?dist}
License: GPLv2
Group: Applications/Internet

URL: http://freshmeat.net/projects/imapsync/
Source: http://www.linux-france.org/prj/imapsync/dist/%{name}-%{version}.tgz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch: noarch
BuildRequires: perl(Test::Simple)
BuildRequires: perl(Mail::Box)
BuildRequires: perl(Mail::IMAPClient)
BuildRequires: perl(Date::Manip)
Requires: perl(Date::Manip)
Requires: perl(Term::ReadKey)
Requires: perl(IO::Socket::SSL)
Requires: perl(Test::Simple)
Requires: perl(Mail::Box)
Requires: perl(Mail::IMAPClient)
Requires: perl(Date::Manip)


%description
imapsync is a tool for facilitating incremental recursive IMAP
transfers from one mailbox to another. It is useful for mailbox migration,
and reduces the amount of data transferred by only copying messages that
are not present on both servers. Read, unread, and deleted flags are preserved,
and the process can be stopped and resumed. The original messages can
optionally be deleted after a successful transfer.

%prep
%setup -q

cat << \EOF > %{name}-req
#!/bin/sh
%{__perl_requires} $* |\
  sed -e '/perl(--prefix2)/d'
EOF

%define __perl_requires %{_builddir}/%{name}-%{version}/%{name}-req
chmod +x %{__perl_requires}

%build

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install DESTDIR="$RPM_BUILD_ROOT"
iconv -f iso-8859-1 -t utf-8 -o ChangeLog.utf8 ChangeLog && %{__mv} ChangeLog.utf8 ChangeLog
iconv -f iso-8859-1 -t utf-8 -o TODO.utf8 TODO && %{__mv} TODO.utf8 TODO

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc GPL ChangeLog CREDITS INSTALL TODO README FAQ
%{_bindir}/imapsync
%attr(644, root, root) %{_mandir}/man1/imapsync.1*

%ChangeLog
* Tue May 27 2008 Marek Mahut <mmahut@fedoraproject.org> - 1.252-2
- Upstream release
- Dependency fix (BZ#447800)

* Thu Apr 10 2008 Marek Mahut <mmahut@fedoraproject.org> - 1.249-1
- Initial build.
